<?php
if (isset($_POST['convert_ekredit'])) {
    //обменять екр. на кр.
    $mn = ceil((int)($_POST['convert_sum'] * 100));
    $mn = round(($mn / 100), 2);
    if ($u->bank['money2'] >= $mn) {
        if ($mn < 0.01 || $mn > 1000000000) {
            $re2 = 'Неверно указана сумма';
        } else {
            $upd = mysql_query('UPDATE `bank` SET `money1` = "' . mysql_real_escape_string($u->bank['money1'] + ($mn * $con)) . '",`money2` = "' . mysql_real_escape_string($u->bank['money2'] - $mn) . '" WHERE `id` = "' . $u->bank['id'] . '" LIMIT 1');
            if ($upd) {
                $u->bank['money1'] += $mn * $con;
                $u->bank['money2'] -= $mn;
                $u->addDelo(3, $u->info['id'], 'Вы обменяли <b>' . $mn . ' екр.</b> на <b>' . ($mn * $con) . ' кр.</b>, комиссия <b>0 кр.</b> <i>(Итого: ' . $u->bank['money1'] . ' кр., ' . $u->bank['money2'] . ' екр.)</i>', time(), $u->info['city'], 'Bank.System', 0, mysql_real_escape_string($mn * $con), $u->bank['id']);
                $re2 = 'Вы удачно обменяли <b>' . $mn . ' екр.</b> на <b>' . ($mn * $con) . ' кр.</b>';
            } else {
                $re2 = 'Не удалось выполнить операцию';
            }
        }
    } else {
        $re2 = 'У вас нет <b>' . $mn . ' екр.</b> на счете';
    }
}
